<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\CustomerData;

use Magento\Customer\CustomerData\SectionSourceInterface;

class GeoipDataMisfits implements SectionSourceInterface {

    protected $_helper;
    protected $_storeManager;

    public function __construct(
    \FiloBlu\ExtAmastyGeoipRedirect\Helper\Data $helper, \Magento\Store\Model\StoreManagerInterface $storeManager
    ) {
        $this->_helper = $helper;
        $this->_storeManager = $storeManager;
    }

    /**
     * {@inheritdoc}
     */
    public function getSectionData() {
        return [
            "geo_country_code" => $this->_helper->getGeoData()->getCountryCode(),
            "geo_country_name" => $this->_helper->getGeoData()->getCountryName(),
            "geo_store_id" => ($this->_helper->getGeoData()->getStore() ? $this->_helper->getGeoData()->getStore()->getStoreId() : null) ,
            "geo_store_url" => ($this->_helper->getGeoData()->getStore() ? $this->_helper->getGeoData()->getStore()->getBaseUrl() : null),
            "current_website_id" => $this->_storeManager->getStore()->getWebsiteId(),
            "current_country_name" => $this->_helper->getCurrentCountryName("en-US"),
            "must_show" => ($this->_helper->getGeoData()->getStore() && $this->_storeManager->getStore()->getWebsiteId() != $this->_helper->getGeoData()->getStore()->getWebsiteId()),
        ];
    }
}
